<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/jquery-datetimepicker@2.5.20/build/jquery.datetimepicker.min.css">
    <link rel="stylesheet" href="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.10/summernote-bs4.css">
    <title>Profile</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" id="brand" href="#">Get High Auction</a>
    </nav>

    <div class="container-fluid pl-0">
        <div class="row">
            <div class="col-3">
                <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                    <a class="nav-link active" id="v-pills-personalInformations-tab" data-toggle="pill" href="#v-pills-personalInformations" role="tab" aria-controls="v-pills-personalInformations" aria-selected="true">Thông tin cá nhân</a>
                    <a class="nav-link" id="v-pills-changePassword-tab" data-toggle="pill" href="#v-pills-changePassword" role="tab" aria-controls="v-pills-changePassword" aria-selected="false">Đổi mật khẩu</a>
                    <a class="nav-link" id="v-pills-watchList-tab" data-toggle="pill" href="#v-pills-watchList" role="tab" aria-controls="v-pills-watchList" aria-selected="false">Danh sách yêu thích</a>
                    <a class="nav-link" id="v-pills-biddingProduct-tab" data-toggle="pill" href="#v-pills-biddingProduct" role="tab" aria-controls="v-pills-biddingProduct" aria-selected="false">Đang tham gia</a>
                    <a class="nav-link" id="v-pills-winningProducts-tab" data-toggle="pill" href="#v-pills-winningProducts" role="tab" aria-controls="v-pills-winningProducts" aria-selected="false">Thắng đấu giá</a>
                    <a class="nav-link" id="v-pills-review-tab" data-toggle="pill" href="#v-pills-review" role="tab" aria-controls="v-pills-review" aria-selected="false">Xem đánh giá</a>
                    <hr>
                    <a hidden class="nav-link" id="v-pills-addNewProduct-tab" data-toggle="pill" href="#v-pills-addNewProduct" role="tab" aria-controls="v-pills-addNewProduct" aria-selected="false">Thêm sản phẩm</a>
                    <a hidden class="nav-link" id="v-pills-sellingProduct-tab" data-toggle="pill" href="#v-pills-sellingProduct" role="tab" aria-controls="v-pills-sellingProduct" aria-selected="false">Đang đấu giá</a>
                    <a hidden class="nav-link" id="v-pills-soldProduct-tab" data-toggle="pill" href="#v-pills-soldProduct" role="tab" aria-controls="v-pills-soldProduct" aria-selected="false">Đã có người thắng</a>
                    <hr>
                    <a hidden class="nav-link" id="v-pills-upgradeRequest-tab" data-toggle="pill" href="#v-pills-upgradeRequest" role="tab" aria-controls="v-pills-upgradeRequest" aria-selected="false">Cấp quyền bán</a>
                    <a hidden class="nav-link" id="v-pills-userManagement-tab" data-toggle="pill" href="#v-pills-userManagement" role="tab" aria-controls="v-pills-userManagement" aria-selected="false">Quản lí người dùng</a>
                    <a hidden class="nav-link" id="v-pills-categoryManagement-tab" data-toggle="pill" href="#v-pills-categoryManagement" role="tab" aria-controls="v-pills-categoryManagement" aria-selected="false">Quản lí danh mục</a>
                </div>
            </div>
            <div class="col-9">
                <div class="tab-content" id="v-pills-tabContent">
                    <div class="tab-pane fade show active" id="v-pills-personalInformations" role="tabpanel" aria-labelledby="v-pills-personalInformations-tab">
                        <h1>Thông tin cá nhân</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-8">
                                <form id="personalInformationsForm">
                                    <div class="form-group">
                                        <label for="lastName">Họ và tên đệm</label>
                                        <input type="text" class="form-control" id="lastName" name="lastName" placeholder="Nhập phần họ và tên đệm trong Họ và Tên ...">
                                    </div>
                                    <div class="form-group">
                                        <label for="firstName">Tên</label>
                                        <input type="text" class="form-control" id="firstName" name="firstName" placeholder="Nhập phần tên trong Họ và Tên ...">
                                    </div>
                                    <div class="form-group">
                                        <label for="userName">Tên tài khoản</label>
                                        <input type="text" class="form-control" id="userName" name="userName" placeholder="Nhập tên tài khoản sử dụng để đăng nhập ...">
                                    </div>
                                    <div class="form-group">
                                        <label for="email">Email</label>
                                        <input type="email" class="form-control" id="email" name="email" placeholder="Nhập địa chỉ email cá nhân của bạn ...">
                                    </div>
                                    <div class="form-group">
                                        <label for="address">Địa chỉ</label>
                                        <input type="text" class="form-control" id="address" name="address" placeholder="Nhập địa chỉ của bạn ...">
                                    </div>
                                    <button id="updatePersonalInformationButton" type="submit" class="btn btn-primary">Cập nhật</button>
                                </form>
                                <hr>
                                <p>* Mọi thông tin bạn nhập nên chính xác và đảm bảo không vi phạm điều khoản sử dụng của website.</p>
                                <hr>
                                <button id="upgradeRequest-button" type="button" class="btn btn-primary">Nâng cấp tài khoản</button>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-changePassword" role="tabpanel" aria-labelledby="v-pills-changePassword-tab">
                        <h1>Đổi mật khẩu</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-8">
                                <form id="changePasswordForm">
                                    <div class="form-group">
                                        <label for="oldPassword">Mật khẩu cũ</label>
                                        <input type="password" class="form-control" id="oldPassword" name="oldPassword" placeholder="Mật khẩu cũ ...">
                                    </div>
                                    <div class="form-group">
                                        <label for="newPassword">Mật khẩu mới</label>
                                        <input type="password" class="form-control" id="newPassword" name="newPassword" placeholder="Mật khẩu mới ...">
                                    </div>
                                    <div class="form-group">
                                        <label for="confirmPassword">Xác nhận mật khẩu</label>
                                        <input type="password" class="form-control" id="confirmPassword" name="confirmPassword" placeholder="Xác nhận mật khẩu ...">
                                    </div>
                                    <button id="changePasswordButton" type="submit" class="btn btn-primary">Cập nhật</button>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-watchList" role="tabpanel" aria-labelledby="v-pills-watchList-tab">
                        <h1>Danh sách yêu thích</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-12" id="watchList">
                                <!-- Rendering template here -->
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-biddingProduct" role="tabpanel" aria-labelledby="v-pills-biddingProduct-tab">
                        <h1>Đang tham gia</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-12" id="biddingProduct">
                                <!-- Rendering template here -->
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-winningProducts" role="tabpanel" aria-labelledby="v-pills-winningProducts-tab">
                        <h1>Thắng đấu giá</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-12" id="winningProduct">
                                <!-- Rendering template here -->
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-review" role="tabpanel" aria-labelledby="v-pills-review-tab">
                        <h1>Đánh giá</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-12" id="review">
                                <!-- Rendering template here -->
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-addNewProduct" role="tabpanel" aria-labelledby="v-pills-addNewProduct-tab">
                        <h1>Thêm sản phẩm</h1>
                        <hr>
                        <form id="addNewProduct-form" enctype="multipart/form-data">
                            <div class="form-group">
                                <label for="addNewProduct-name">Tên sản phẩm</label>
                                <input type="text" class="form-control" id="addNewProduct-name" name="name" placeholder="Nhập tên sản phẩm ...">
                            </div>
                            <div class="form-group">
                                <label for="addNewProduct-category">Danh mục</label>
                                <select class="form-control" id="addNewProduct-category" name="category">
                                </select>
                            </div>
                            <label for="addNewProduct-images">Hình ảnh của sản phẩm (tối đa 03 hình)</label>
                            <div class="custom-file">
                                <input type="file" class="custom-file-input" id="addNewProduct-images" name="images" multiple>
                                <label class="custom-file-label" for="addNewProduct-images">Tải hình</label>
                                
                            </div>
                            <ul class="list-group" id="fileList"></ul>
                            <div class="form-group mt-3">
                                <label for="addNewProduct-startPrice">Giá khởi điểm</label>
                                <input type="text" class="form-control" id="addNewProduct-startPrice" name="startPrice" placeholder="Giá khởi điểm ...">
                            </div>
                            <div class="form-group">
                                <label for="addNewProduct-priceStep">Bước giá</label>
                                <input type="text" class="form-control" id="addNewProduct-priceStep" name="priceStep" placeholder="Bước giá ...">
                            </div>
                            <div class="form-group">
                                <label for="addNewProduct-takeoverPrice">Giá mua ngay (nếu cần thiết)</label>
                                <input type="text" class="form-control" id="addNewProduct-takeoverPrice" name="takeoverPrice" placeholder="Giá mua ngay ...">
                            </div>
                            <div class="form-group">
                                <label for="addNewProduct-endTime">Thời điểm kết thúc</label>
                                <input type="text" class="form-control" id="addNewProduct-endTime" name="endTime" placeholder="Thời điểm kết thúc ...">
                            </div>
                            <div class="form-group">
                                <label for="addNewProduct-description">Mô tả (hỗ trợ tag HTML)</label>
                                <textarea class="form-control" id="addNewProduct-description" rows="10"></textarea>
                            </div>
                            <div class="form-group form-check">
                                <input class="form-check-input" type="checkbox" name="timeExtension" value="true" id="addNewProduct-timeExtension">
                                <label class="form-check-label" for="addNewProduct-timeExtension">
                                    Tự động gia hạn khi có lượt đấu giá sát với thời điểm kết thúc.
                                </label>
                            </div>
                            <button id="submitProduct" type="submit" class="btn btn-primary">Đăng sản phẩm</button>
                        </form>
                    </div>
                    <div class="tab-pane fade" id="v-pills-sellingProduct" role="tabpanel" aria-labelledby="v-pills-sellingProduct-tab">
                        <h1>Đang đấu giá</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-12" id="sellingProduct">
                                <!-- Rendering template here -->
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-soldProduct" role="tabpanel" aria-labelledby="v-pills-soldProduct-tab">
                        <h1>Đã có người thắng</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-12" id="soldProduct">
                                <!-- Rendering template here -->
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-upgradeRequest" role="tabpanel" aria-labelledby="v-pills-upgradeRequest-tab">
                        <h1>Cấp quyền bán</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-12" id="upgradeRequest">
                                <!-- Rendering template here -->
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-userManagement" role="tabpanel" aria-labelledby="v-pills-userManagement-tab">
                        <h1>Quản lý người dùng</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-8">
                                <form id="findUserForm">
                                    <div class="form-group">
                                        <label for="findUserForm-userName">Tên tài khoản</label>
                                        <input type="text" class="form-control" id="findUserForm-userName" name="userName" placeholder="Nhập tên tài khoản cần tìm kiếm ...">
                                    </div>
                                    <button type="submit" class="btn btn-primary">Tìm kiếm</button>
                                </form>                                
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-md-12" id="userList">
                                <!-- Rendering template here -->
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <button type="submit" class="btn btn-primary" id="loadMoreUsers" hidden>Load more ...</button>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-categoryManagement" role="tabpanel" aria-labelledby="v-pills-categoryManagement-tab">
                        <h1>Quản lý danh mục</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-12" id="addCategory">
                                <form id="submitCategory-form" class="form-inline">
                                    <label class="sr-only" for="categoryName">Tên danh mục</label>
                                    <input type="text" class="form-control mb-2 mr-sm-2" id="categoryName" name="name" aria-describedby="emailHelp" placeholder="Nhập tên danh mục">
                                    <button type="submit" class="btn btn-primary mb-2" id="submitCategory">Tạo danh mục</button>
                                </form>
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-md-12" id="categoryList">
                                <!-- Rendering template here -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Template: Danh sách sản phẩm yêu thích (watch list) -->
    <script id="watchListItem-template" type="text/x-handlebars-template">
        <table class="table">
            <thead>
                <tr>
                <th scope="col">Tên sản phẩm</th>
                <th scope="col">Giá hiện tại</th>
                <th scope="col">Xem chi tiết</th>
                <th scope="col">Xóa</th>
                </tr>
            </thead>
            <tbody>
                {{#each this}}
                <tr id=watchListRow_{{_id}}>
                    <th scope="row">{{name}}</th>
                    <td>{{#if highestBiddingEntry}}{{formatCurrency highestBiddingEntry.price}}{{else}}Không có ai đặt giá{{/if}}</td>
                    <td><button type="button" data-type="details" data-id="{{_id}}" class="btn btn-primary">Xem chi tiết</button></td>
                    <td><button type="button" data-type="delete" data-id="{{_id}}" class="btn btn-warning">Xóa</button></td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </script>
    <!-- ================================================================ -->

    <!-- Template: Danh sách sản phẩm đang tham gia đấu giá -->
    <script id="biddingProduct-template" type="text/x-handlebars-template">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Tên sản phẩm</th>
                    <th scope="col">Giá hiện tại</th>
                    <th scope="col">Xem chi tiết</th>
                </tr>
            </thead>
            <tbody>
                {{#each this}}
                <tr class="{{#if isHighest}}table-success{{else}}table-warning{{/if}}" id=biddingProductRow_{{_id}}>
                    <th scope="row">{{name}}</th>
                    <td>{{#if highestBiddingEntry}}{{formatCurrency highestBiddingEntry.price}}{{else}}Không có ai đặt giá{{/if}}</td>
                    <td><button type="button" data-type="details" data-id="{{_id}}" class="btn btn-primary">Xem chi tiết</button></td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </script>
    <!-- ================================================================ -->

    <!-- Template: Danh sách sản phẩm thắng đấu giá | Modal đánh giá -->
    <script id="winningProduct-template" type="text/x-handlebars-template">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Tên sản phẩm</th>
                    <th scope="col">Xem chi tiết</th>
                    <th scope="col">Đánh giá người bán</th>
                </tr>
            </thead>
            <tbody>
                {{#each this}}
                <tr id=winningProductRow_{{_id}}>
                    <th scope="row">{{name}}</th>
                    <td><button type="button" data-type="details" data-id="{{_id}}" class="btn btn-primary">Xem chi tiết</button></td>
                    <td><button type="button" data-type="review" data-id="{{_id}}" class="btn btn-primary">Đánh giá</button></td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </script>

    <div class="modal" tabindex="-1" role="dialog" id="sellerReview-modal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Đánh giá người bán</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" name="point" id="sellerReview-down" value="-1">
                            <label class="form-check-label" for="sellerReview-down">-1</label>
                        </div>
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" name="point" id="sellerReview-up" value="+1">
                            <label class="form-check-label" for="sellerReview-up">+1</label>
                        </div>
                        <div class="form-group">
                            <label for="winnerReview-comment">Nhận xét</label>
                            <textarea class="form-control" id="sellerReview-comment" rows="3"></textarea>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" id="saveSellerReview-button" class="btn btn-primary">Lưu đánh giá</button>
                </div>
            </div>
        </div>
    </div>
    <!-- ================================================================ -->

    <!-- Template: Danh sách review -->
    <script id="review-template" type="text/x-handlebars-template">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Điểm</th>
                    <th scope="col">Nhận xét</th>
                </tr>
            </thead>
            <tbody>
                {{#each this}}
                <tr>
                    <th scope="row">{{#if isOK}}+1{{else}}-1{{/if}}</th>
                    <td>{{comment}}</td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </script>
    <!-- ================================================================ -->

    <!-- Template: Danh sách sản phẩm đang bán -->
    <script id="sellingProduct-template" type="text/x-handlebars-template">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Tên sản phẩm</th>
                    <th scope="col">Xem chi tiết</th>
                </tr>
            </thead>
            <tbody>
                {{#each this}}
                <tr id=sellingProductRow_{{_id}}>
                    <th scope="row">{{name}}</th>
                    <td><button type="button" data-type="details" data-id="{{_id}}" class="btn btn-primary">Xem chi tiết</button></td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </script>
    <!-- ================================================================ -->

    <!-- Template: Danh sách sản phẩm đã có người mua -->
    <script id="soldProduct-template" type="text/x-handlebars-template">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Tên sản phẩm</th>
                    <th scope="col">Xem chi tiết</th>
                    <th scope="col">Đánh giá người mua</th>
                </tr>
            </thead>
            <tbody>
                {{#each this}}
                <tr id=soldProductRow_{{_id}}>
                    <th scope="row">{{name}}</th>
                    <td><button type="button" data-type="details" data-id="{{_id}}" class="btn btn-primary">Xem chi tiết</button></td>
                    <td><button type="button" data-type="review" data-id="{{_id}}" class="btn btn-primary">Đánh giá</button></td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </script>

    <div class="modal" tabindex="-1" role="dialog" id="winnerReview-modal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Đánh giá người mua</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" type="radio" name="point" id="winnerReview-down" value="-1">
                        <label class="form-check-label" for="winnerReview-down">-1</label>
                    </div>
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" type="radio" name="point" id="winnerReview-up" value="+1">
                        <label class="form-check-label" for="winnerReview-up">+1</label>
                    </div>
                    <div class="form-group">
                        <label for="winnerReview-comment">Nhận xét</label>
                        <textarea class="form-control" id="winnerReview-comment" rows="3"></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" id="saveWinnerReview-button" class="btn btn-primary">Lưu đánh giá</button>
                </div>
            </div>
        </div>
    </div>
    <!-- ================================================================ -->
    
    <!-- Template: Danh sách yêu cầu nâng cấp tài khoản -->
    <script id="upgradeRequestList-template" type="text/x-handlebars-template">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Thời gian</th>
                    <th scope="col">Tên tài khoản</th>
                    <th scope="col">Duyệt yêu cầu</th>
                    <th scope="col">Không chấp nhận yêu cầu</th>
                </tr>
            </thead>
            <tbody>
                {{#each this}}
                <tr id="upgradeRequestRow_{{_id}}">
                    <th scope="row">{{formatDateTime upgradeRequest.time}}</th>
                    <td>{{userName}}</td>
                    <td><button type="button" class="btn btn-warning" data-type="accept-request" data-id={{_id}}>Duyệt</button></td>
                    <td><button type="button" class="btn btn-danger" data-type="delete-request" data-id={{_id}}>Hủy</button></td>
                </tr>
                {{/each}}   
            </tbody>
        </table>
    </script>
    <!--  -->
    <!-- Template: Danh sách người dùng -->
    <script id="userList-template" type="text/x-handlebars-template">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Tên tài khoản</th>
                    <th scope="col">Reset mật khẩu</th>
                    <th scope="col">Xóa</th>
                </tr>
            </thead>
            <tbody id="userListTableBody">
                {{{this}}}
            </tbody>
        </table>
    </script>

    <script id="userListRow-template" type="text/x-handlebars-template">
        {{#each this}}
        <tr id="userRow_{{_id}}">
            <th scope="row">{{userName}}</th>
            <td><button type="button" class="btn btn-warning" data-type="reset-password-user" data-id={{_id}}>Reset mật khẩu</button></td>
            <td><button type="button" class="btn btn-danger" data-type="delete-user" data-id={{_id}}>Xóa</button></td>
        </tr>
        {{/each}}
    </script>

    <div class="modal" tabindex="-1" role="dialog" id="resetPasswordModal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Modal title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form id="resetPasswordForm">
                        <div class="form-group">
                            <label for="exampleInputPassword1">Password</label>
                            <input type="password" class="form-control" id="resetPasswordForm-password" name="password" placeholder="Password">
                        </div>
                        <div class="form-group">
                            <label for="resetPasswordForm-confirm">Confirm</label>
                            <input type="password" class="form-control" id="resetPasswordForm-confirm" name="confirm" placeholder="Confirm Password">
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="resetPasswordModal-Save" data-id="">Save changes</button>
                </div>
            </div>
        </div>
    </div>
    <!-- ================================================================ -->

    <!-- Template: Danh sách danh mục -->
    <script id="categoryList-template" type="text/x-handlebars-template">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">Tên danh mục</th>
                    <th scope="col">Chỉnh sửa</th>
                    <th scope="col">Xóa</th>
                </tr>
            </thead>
            <tbody>
                {{#each this}}
                <tr id="categoryRow_{{_id}}">
                    <th scope="row">{{name}}</th>
                    <td><button type="button" class="btn btn-secondary" data-type="edit-category" data-id={{_id}}>Chỉnh sửa</button></td>
                    <td><button type="button" class="btn btn-warning" data-type="delete-category" data-id={{_id}}>Xóa</button></td>
                </tr>
                {{/each}}
            </tbody>
        </table>
    </script>

    <div class="modal" tabindex="-1" role="dialog" id="editCategory-modal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Chỉnh sửa danh mục</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form id="editCategoryForm">
                        <input type="text" class="form-control mb-2 mr-sm-2" id="editCategoryForm-name" name="name" aria-describedby="emailHelp" placeholder="Nhập tên danh mục">
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" data-id="" id="editCategory-modal-save">Save changes</button>
                </div>
            </div>
        </div>
    </div>
    <!-- ================================================================ -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.min.js" integrity="sha256-F6h55Qw6sweK+t7SiOJX+2bpSAa3b/fnlrVCJvmEj1A=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/additional-methods.min.js" integrity="sha256-0Yg/eibVdKyxkuVo1Qwh0DspoUCHvSbm/oOoYVz32BQ=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/4.0.11/handlebars.min.js" integrity="sha256-+JMHsXRyeTsws/tzbIh5YHQxRdKCuNjmvNcTFtY6DLc=" crossorigin="anonymous"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/inputmask@4.0.1-beta.7/dist/min/jquery.inputmask.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/jquery-datetimepicker@2.5.20/build/jquery.datetimepicker.full.min.js"></script>
    <script src="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.10/summernote-bs4.js"></script>
    <script src="./assets/js/utils/config.js" type="module"></script>
    <script src="./assets/js/utils/checker.js" type="module"></script>
    <script src="./assets/js/utils/form.js" type="module"></script>
    <script src="./assets/js/utils/formatter.js" type="module"></script>
    <script src="./assets/js/utils/handlebars-helper.js" type="module"></script>
    <script src="./assets/js/profile.js" type="module"></script>
</body>
</html>
